import { CarGeometryResponse } from './Car.types';
import Fetch from './Fetch.types';
class Car {
  readonly fetchInstance: Fetch | null;
  constructor(fetchInstance: Fetch | null) {
    this.fetchInstance = fetchInstance;
  }
  async getGeometry(codigoCar: string): Promise<CarGeometryResponse> {
    const response = await this.fetchInstance?.get(codigoCar);
    return response;
  }
}

export default Car;
